package parte04;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class TesteConsulta {

	public static void main(String[] args) throws SQLException {
		Connection conn = null;

		try {
			// Carrega o driver do HSQLDB e conecta.
			Class.forName(Config.NOME_DRIVER);
			conn = DriverManager.getConnection(Config.BD_URL, Config.BD_LOGIN, Config.BD_SENHA);		
		}
		catch (ClassNotFoundException e) {
			System.out.println("FATAL: driver não encontrado.");
			System.exit(1);
		}
		
		// Cria o statement.		
		Statement stmt = conn.createStatement();
		
		// Monta a consulta SQL.
		String sql = "SELECT CD.nome, preco, A.nome AS artista, G.nome AS gravadora " +
				"FROM CD INNER JOIN Artista A ON CD.idArtista = A.id " +
				"INNER JOIN Gravadora G ON CD.idGravadora = G.id;";
		
		// Executa o comando no banco de dados.
		ResultSet rset = stmt.executeQuery(sql);
		
		// Navega pelos resultados.
		while (rset.next()) {
			String nome = rset.getString("nome");
			double preco = rset.getDouble("preco");
			String artista = rset.getString("artista");
			String gravadora = rset.getString("gravadora");
			
			System.out.println(nome + " / " + preco + " / " + artista + " / " + gravadora);
		}
		
		// Fecha o statement e a conexão.
		stmt.close();
		conn.close();
	}

}
