package parte04;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;

public class TesteMetaDados {

	public static void main(String[] args) throws SQLException {
		Connection conn = null;

		try {
			// Carrega o driver do HSQLDB e conecta.
			Class.forName(Config.NOME_DRIVER);
			conn = DriverManager.getConnection(Config.BD_URL, Config.BD_LOGIN, Config.BD_SENHA);		
		}
		catch (ClassNotFoundException e) {
			System.out.println("FATAL: driver não encontrado.");
			System.exit(1);
		}
		
		// Cria o statement.		
		Statement stmt = conn.createStatement();
		
		// Monta a consulta SQL.
		String sql = "SELECT CD.nome, preco, A.nome AS artista, G.nome AS gravadora " +
				"FROM CD INNER JOIN Artista A ON CD.idArtista = A.id " +
				"INNER JOIN Gravadora G ON CD.idGravadora = G.id;";
		
		// Executa o comando no banco de dados.
		ResultSet rset = stmt.executeQuery(sql);
		
		// Obtém meta-dados.
		ResultSetMetaData meta = rset.getMetaData();
		int colCount = meta.getColumnCount();
		int[] spacing = new int[colCount];
		
		// Imprime um cabeçalho para os resultados.
		for (int i = 0; i < colCount; i++) {
			System.out.print('|');
			String colName = meta.getColumnName(i + 1);
			spacing[i] = meta.getColumnDisplaySize(i + 1);
			System.out.print(colName);
			for (int j = colName.length() + 1; j < spacing[i]; j++) System.out.print(' ');
		}
		System.out.println();
		
		// Navega pelos resultados.
		while (rset.next()) {
			for (int i = 0; i < colCount; i++) {
				System.out.print('|');
				String dado = rset.getObject(i + 1).toString();
				System.out.print(dado);
				for (int j = dado.length() + 1; j < spacing[i]; j++) System.out.print(' ');
			}
			System.out.println();
		}
		
		// Fecha o statement e a conexão.
		stmt.close();
		conn.close();
	}

}
