package parte04;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class TestePreparedStatement {

	public static void main(String[] args) throws SQLException {
		Connection conn = null;

		try {
			// Carrega o driver do HSQLDB e conecta.
			Class.forName(Config.NOME_DRIVER);
			conn = DriverManager.getConnection(Config.BD_URL, Config.BD_LOGIN, Config.BD_SENHA);		
		}
		catch (ClassNotFoundException e) {
			System.out.println("FATAL: driver não encontrado.");
			System.exit(1);
		}
		
		// Monta o comando SQL.
		String sql = "INSERT INTO Artista (nome, banda, pais) VALUES (?, ?, ?);";

		// Cria o statement.		
		PreparedStatement stmt = conn.prepareStatement(sql);
		
		// Monta o vetor de dados.
		Object[][] dados = new Object[][] {
				{"Jamiroquai", Boolean.TRUE, "Inglaterra"},
				{"Norah Jones", Boolean.FALSE, "EUA"},
				{"Nirvana", Boolean.TRUE, "EUA"}
		};
		
		// Insere todos os dados no banco.
		for (int i = 0; i < dados.length; i++) {
			stmt.setString(1, (String)dados[i][0]);
			stmt.setBoolean(2, ((Boolean)dados[i][1]).booleanValue());
			stmt.setString(3, (String)dados[i][2]);
			int qtd = stmt.executeUpdate();
			System.out.println(qtd + " linha(s) afetada(s)");
		}
		
		// Fecha o statement e a conexão.
		stmt.close();
		conn.close();
	}

}
