package parte04;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.sql.rowset.JdbcRowSet;

import com.sun.rowset.JdbcRowSetImpl;

public class TesteRowSet {

	public static void main(String[] args) throws SQLException {
		try {
			// Carrega o driver do HSQLDB para uso pelo RowSet.
			Class.forName(Config.NOME_DRIVER);
		}
		catch (ClassNotFoundException e) {
			System.out.println("FATAL: driver não encontrado.");
			System.exit(1);
		}
		
		// Monta a consulta SQL.
		String sql = "SELECT CD.nome, preco, A.nome AS artista, G.nome AS gravadora " +
				"FROM CD INNER JOIN Artista A ON CD.idArtista = A.id " +
				"INNER JOIN Gravadora G ON CD.idGravadora = G.id;";
		
		// Cria e executa o RowSet.
		JdbcRowSet rowSet = new JdbcRowSetImpl();
		rowSet.setUrl(Config.BD_URL);
		rowSet.setUsername(Config.BD_LOGIN);
		rowSet.setPassword(Config.BD_SENHA);
		rowSet.setCommand(sql);
		rowSet.execute();
		
		// Navega pelos resultados.
		while (rowSet.next()) {
			String nome = rowSet.getString("nome");
			double preco = rowSet.getDouble("preco");
			String artista = rowSet.getString("artista");
			String gravadora = rowSet.getString("gravadora");
			
			System.out.println(nome + " / " + preco + " / " + artista + " / " + gravadora);
		}
		
		// Fecha o RowSet.
		rowSet.close();
	}

}
